1

As you probably know (https://faq.whatsapp.com/1150261202542208), Whatsapp is not going to support Android 4 phones from 23rd of October this year; the minimum supported Android version will be 5.0

I want to move and merge all my conversations and files from my old Android phone to my newer one (they both have been used with the same phone number).

Unfortunately, I don't have any Google Drive backups on the old phone. Also, I hadn't done any other transfer/migration to my latest phone. I remember that when I'd installed Whatsapp on my newer phone, the application stopped working on the older phone.

Old phone:

  • Android 4.2.2 (Samsung Galaxy S Duos GT-S7562)
  • Whatsapp 2.21.17.23 (installed from here);
  • no Google Drive backups;
  • WhatsApp is no longer working (only on the old phone), since I'd installed it on my latest phone;
  • at some moment I had to install the Google Play Store 25.2.27-16 for the Whatsapp to continue running (installed from here; more here); it now displays "Your phone date is inaccurate! Adjust your clock and try again" (but the date displayed is correct)

New phone:

  • Whatsapp 2.23.14.79
  • Android 13; OneUI 5.1

Thank you very very very much!

4
  • 1
    I'd just noticed there are a set of new versions (from 2023) for Android 4.1+ so I will try installing one of them (maybe apkmirror.com/apk/whatsapp-inc/whatsapp/…)
    – radui
    Sep 21, 2023 at 14:24
  • 1
    Do you still have access to the old phone and its WhatsApp data? If that's the case, then perhaps WhatsApp doesn't prompt to restore from local storage might help for the new location of WhatsApp data in Android 11+. Also, perhaps copy them to somewhere else (not on the phone) for additional backup plan.
    – Andrew T.
    Sep 22, 2023 at 7:55
  • I'd noticed a latter WhatsApp version is available supporting the Android 4.1+ (thus supporting my Android 4.2.2): apkmirror.com/apk/whatsapp-inc/whatsapp/… I had installed it, over 2.23.7.81 which was installed over my previous version
    – radui
    Oct 23, 2023 at 15:42
  • @AndrewT. my older phone has Android 4.2.2 not 11+
    – radui
    Oct 23, 2023 at 15:44

0

You must log in to answer this question.